MapControllerGetMapBindings Method |
POST /Map/GetMapBindings
Gets suggested map bindings based on the requested data.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetMapBindings")]
public IActionResult GetMapBindings(
[FromBodyAttribute] GetMapBindingsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetMapBindings")>
Public Function GetMapBindings (
<FromBodyAttribute> options As GetMapBindingsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetMapBindings")]
IActionResult^ GetMapBindings(
[FromBodyAttribute] GetMapBindingsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetMapBindings")>]
member GetMapBindings :
[<FromBodyAttribute>] options : GetMapBindingsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetMapBindingsOptions
An object that carries all needed information about the request. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the session.
Return Value
Type:
IActionResult
A
RecommendedMapBindings object, or a status code indicating the problem.
See Also